<?php
/**
 * @name SHCMS Engine
 * @copyright Shamsik © 2012
 */
 
class users
{
    function admin_position()
	{
    /*
     * Функция для вывода прав администратора
     */
    global $id;
	   $users_prava = mysql_fetch_array(mysql_query("SELECT * FROM `users` WHERE `id`='$id'"));
     if($users_prava['team'] == 6)
     {
	   echo '<b>Создатель</b>';
	 } 
     elseif($users_prava['team'] == 5)
     {
	   echo '<b>Главный администратор</b>';
	 }
     elseif($users_prava['team'] == 4)
     {
	   echo '<b>Администратор</b>';
	 }
     elseif($users_prava['team'] == 3)
     {
	   echo '<b>Супермодератор</b>';
	 }
     elseif($users_prava['team'] == 2)
     {	  
	   echo '<b>Модератор</b>';
	 }
     elseif($users_prava['team'] == 1)
     {	  
	   echo '<b>Пользователь</b>';
	 }
    }

    function users_prava1($users_pra = NULL)
    {
	 /*
     * Выводить каждому пользователю свои права
     */
     if($users_pra == 6)
     {
	   echo '<b>Создатель</b>';
	 } 
     elseif($users_pra == 5)
	 {
	   echo '<b>Главный администратор</b>';
	 }
     elseif($users_pra == 4)
	 {
	   echo '<b>Администратор</b>';
	 }
     elseif($users_pra == 3)
	 {
	   echo '<b>Супермодератор</b>';
	 }
     elseif($users_pra == 2)
     {
	  echo '<b>Модератор</b>';
	 }
     elseif($users_pra == 1)
	 {
	  echo '<b>Пользователь</b>';
	 }
    }
	
	public function suspicion($str) {


        // три и более согласных подряд
        if (preg_match('#[БВГДЖЗКЛМНПРСТФХЦЧШЩBCDFGHJKLMNPQRSTVXZ]{4,}#ui', $str, $m)) {
            return $m[0];
        }

        // повторение одного символа или выражения более 3-х раз подряд
        if (preg_match('#([[:alpha:]]+)\1{2,}#ui', $str)) {
            return $m[0];
        }

        return false;
    }
	
	
}

$users_position = new users;
?>